Bug 438380 - last update broke texlive-xetex
last update broke texlive-xetex
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 13:39 EDT by Neal Becker
Modified: 2013-07-02 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xelatex source (557 bytes, text/plain)
2008-03-20 13:39 EDT, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2008-03-20 13:39:20 EDT
Description of problem:

This test example was working, but after updating today now the \pi in math 
mode doesn't produce output.

Version-Release number of selected component (if applicable):

rpm -q texlive-xetex
texlive-xetex-2007-25.fc9.x86_64
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Neal Becker 2008-03-20 13:39:20 EDT
Created attachment 298719 [details]
xelatex source
Comment 2 Jindrich Novy 2008-03-25 07:24:13 EDT
It seems like this happens with the new fontspec package not present in current
TeXLive? My fontspec version doesn't know the no-math option present in the source.

From the following message in the log:

! Font \zf@basefont=STIXGeneral at 10.0pt not loadable: Metric (TFM) file or
installed font not found.

I'd say that you need to install the missing font from the STIX project:

http://en.wikipedia.org/wiki/STIX_Fonts_project

Substituting the pi character with \pi however gives me correct results (with
couple of warnings though).
Comment 3 Neal Becker 2008-03-25 08:08:04 EDT
1) I thought this used to work, but I might be mistaken.  I asked on xetex 
list, and was told that unicode pi in math mode won't work.

2) I use newer fontspec, but get same result with or without no-math.

3) Please consider updating fontspec
Comment 4 Bug Zapper 2008-05-14 02:46:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:49:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:16:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.